QGIS Application - Bug report #13192
Error when saving Matplotlib figure
2015-08-06 11:38 AM - Luca Congedo

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 21253
Description

| opened #13191 because | think it is a QGIS issue (or Matplotlib).

The plugin uses the Matplotlib framework for plotting, therefore I'd exclude that it is a plugin issue.

In QGIS 64bit, saving a plot to png format in the Semi-Automatic Classification Plugin causes the crash of QGIS 64bit. It works in Linux.
In QGIS 32bit, saving a plot to jpg format gives the error "The _imaging C module is not installed".

| think it is related to Matplotlib dependencies.

Attached the minidump.

Thank you

History

#1 - 2015-08-10 02:30 AM - Peter Drexel

| also get a minidump when | try to save a figure to png in the VoGIS-ProfilTool Plugin. It also uses the matplotlip.
Thanks
Peter

#2 - 2015-09-15 12:05 AM - Admire Nyakudya
- File error.png added

When running a python script in processing that involves matplotlib.pyplot in windows 2.8 LTS saving a plot as png causes a mini dump error. However

running the same processing script in linux results in no error. But saving the plot as jpg in windows does not result in error.

#3 - 2015-12-20 04:23 AM - Giovanni Manghi
- Status changed from Open to Feedback

shouldn't this be filed on the osgeo4w tracker (where the dependencies and python libraries for Windows are packaged)?

#4 - 2016-01-06 11:55 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to up/downstream

as far as | understand this could be an issue in matplotlib as is packaged in osgeo4w, if so please file a ticket in the osgeo4w bug tracker, if I'm wrong
please reopen this ticket.

#5 - 2016-01-15 05:50 AM - Jean Hemmi

| was following this issue since two users of my plugin (PhysiocapAnalyseur) have experimented the same error "The _imaging C module is not installed"
when writing a png with matplotlib .

I have reproduced this error directly on an old eeepc 32 bit with a fresh install of QGIS 2.12.2 (
in the Console Python:

finish with "DLL load failed" on Windows 32 bits where

import PIL

from PIL import _imaging

| | | matplotlib.__version__

1.2.1

| | | PIL.Image. VERSION

"11.7'
It's OK on linux & Windows 64 bits where

| | | matplotlib.__version

'1.3.1"

| | | PIL.VERSION

"1.1.7

I've create a ticket on OSGEO bug tracker #481

#6 - 2016-01-16 08:50 AM - Jean Hemmi

I've create a ticket on OSGEO4w bug tracker 481 https://trac.0osgeo.org/osgeo4w/ticket/481

Files
dump.zip 3.8 MB 2015-08-06 Luca Congedo
error.png 80.3 KB 2015-09-14 Admire Nyakudya
